#pragma once
#include "CommonScript.h"

class SyncAccountDataScript final : public CommonScript {
    Q_OBJECT

public:
    ~SyncAccountDataScript() override;

    explicit SyncAccountDataScript(
        QString deviceId,
        QObject *parent = nullptr
    );

protected:
    void doStart() override;

private:
    const QString m_deviceId;
};

